List participants
curl --request GET \
--url https://api.letsdothis.com/v0/participants \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66b2c3d4e5f60718293a4b5c",
"participantIndex": 0,
"bookingId": "66b1c2d3e4f5061728394a5b",
"transactionId": "66b3c4d5e6f708192a3b4c5d",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventId": "66a1b2c3d4e5f60718293a4b",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"ticketTitle": "10K General Entry",
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"bookedAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:00.000Z",
"fields": [
{
"id": "firstName",
"name": "First name",
"value": "John"
},
{
"id": "lastName",
"name": "Last name",
"value": "Runner"
},
{
"id": "email",
"name": "Email",
"value": "john@invalid.test"
},
{
"id": "status",
"name": "Status",
"value": "CONFIRMED"
}
],
"booker": null,
"originalTicketPrice": {
"value": 6500,
"currencyCode": "USD"
},
"incrementalStatus": "INCREMENTAL",
"bibNumber": "A1042",
"bookingCodesUsed": [
{
"code": "WELCOME20"
}
],
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"notes": []
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Participants
List participants
Returns a paginated list of your participants.
GET
/
v0
/
participants
List participants
curl --request GET \
--url https://api.letsdothis.com/v0/participants \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66b2c3d4e5f60718293a4b5c",
"participantIndex": 0,
"bookingId": "66b1c2d3e4f5061728394a5b",
"transactionId": "66b3c4d5e6f708192a3b4c5d",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventId": "66a1b2c3d4e5f60718293a4b",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"ticketTitle": "10K General Entry",
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"bookedAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:00.000Z",
"fields": [
{
"id": "firstName",
"name": "First name",
"value": "John"
},
{
"id": "lastName",
"name": "Last name",
"value": "Runner"
},
{
"id": "email",
"name": "Email",
"value": "john@invalid.test"
},
{
"id": "status",
"name": "Status",
"value": "CONFIRMED"
}
],
"booker": null,
"originalTicketPrice": {
"value": 6500,
"currencyCode": "USD"
},
"incrementalStatus": "INCREMENTAL",
"bibNumber": "A1042",
"bookingCodesUsed": [
{
"code": "WELCOME20"
}
],
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"notes": []
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Authorizations
Query Parameters
A comma-separated list of optional features to enable for the request. Each feature extends the response with additional fields or behaviors.
tags— Adds the tags your team put on each entry, such as"injured"or"deferral".gdpr_redacted— Says whether an entry was redacted after a GDPR request, so you can hide it in your own systems.boolean_value— Addstrueorfalseto agreement, confirmation and yes/no answers inFieldentries, so you don't have to interpret the answer text.withdrawn_status— Reports withdrawn entries as"WITHDRAWN". Without it they're reported as"CANCELLED".status_details— Adds the reason and time of each status change, such as a deferral, a withdrawal or an approval decision.race_day_details— Includes check-in time, waiver-signature time, and custom race-day fields.result_submissions— Includes self-reported finish times (chip time and verification artifacts).teams— Includes team membership, captain status, and team number, for team-based events.waves— Includes start-wave assignments, for events that split the field into staggered starts.
Example:
"tags,waves"
Response
200 - application/json
A page of participants.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

